=== debian/control ===
Source: bind9
Section: net
Priority: optional
Maintainer: BIND 9 Package <bind9@package.debian.org>
Uploaders: LaMont Jones <lamont@debian.org>,
           Michael Gilbert <mgilbert@debian.org>,
           Robie Basak <robie.basak@canonical.com>,
           Ondřej Surý <ondrej@debian.org>,
           Bernhard Schmidt <berni@debian.org>,
Build-Depends: bison,
               debhelper (>= 10),
               dh-apparmor,
               dh-exec,
               dh-python,
               dpkg-dev (>= 1.16.1~),
               libcap2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libdb-dev (>>4.6),
               libgeoip-dev (>= 1.4.6.dfsg-5),
               libjson-c-dev,
               libkrb5-dev,
               libldap2-dev,
               liblmdb-dev,
               libssl-dev,
               libtool,
               libxml2-dev,
               python3,
               python3-distutils,
               python3-ply,
Standards-Version: 4.1.2
Vcs-Browser: https://salsa.debian.org/dns-team/bind9
Vcs-Git: https://salsa.debian.org/dns-team/bind9.git
Homepage: https://www.isc.org/downloads/bind/

Package: bind9
Architecture: any
Depends: adduser,
         bind9utils (= ${binary:Version}),
         debconf | debconf-2.0,
         libbind9-160 (= ${binary:Version}),
         libdns1100 (= ${binary:Version}),
         libisc169 (= ${binary:Version}),
         libisccc160 (= ${binary:Version}),
         libisccfg160 (= ${binary:Version}),
         liblwres160 (= ${binary:Version}),
         lsb-base (>= 3.2-14),
         net-tools,
         netbase,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: bind9-doc,
          dnsutils,
          resolvconf,
          ufw
Description: Internet Domain Name Server
 The Berkeley Internet Name Domain (BIND) implements an Internet domain
 name server.  BIND is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package provides the server and related configuration files.

Package: bind9utils
Architecture: any
Depends: python3,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Utilities for BIND
 This package provides various utilities that are useful for maintaining a
 working BIND installation.

Package: bind9-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for BIND
 This package provides various documents that are useful for maintaining a
 working BIND installation.

Package: bind9-host
Priority: standard
Architecture: any
Depends: libbind9-160 (= ${binary:Version}),
         libdns1100 (= ${binary:Version}),
         libisc169 (= ${binary:Version}),
         libisccfg160 (= ${binary:Version}),
         liblwres160 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: host
Description: DNS lookup utility (deprecated)
 This package provides /usr/bin/host, a simple utility (bundled with the
 BIND 9.X sources) which can be used for converting domain names to IP
 addresses and the reverse.
 .
 This utility is deprecated, use dig or delv from the dnsutils package.

Package: libbind-dev
Section: libdevel
Architecture: any
Replaces: bind9 (<< 1:9.10.3.dfsg.P2-4)
Depends: libbind9-160 (= ${binary:Version}),
         libdns1100 (= ${binary:Version}),
         libirs160 (= ${binary:Version}),
         libisc169 (= ${binary:Version}),
         libisccc160 (= ${binary:Version}),
         libisccfg160 (= ${binary:Version}),
         liblwres160 (= ${binary:Version}),
         ${misc:Depends}
Description: Static Libraries and Headers used by BIND
 This package delivers archive-style libraries, header files, and API man
 pages for libbind, libdns, libisc, and liblwres.  These are only needed
 if you want to compile other packages that need more nameserver API than the
 resolver code provided in libc.

Package: libbind9-160
Section: libs
Architecture: any
Multi-Arch: same
Depends: libdns1100 (= ${binary:Version}),
         libisc169 (= ${binary:Version}),
         libisccfg160 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: BIND9 Shared Library used by BIND
 The Berkeley Internet Name Domain (BIND) implements an Internet domain
 name server.  BIND is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers the libbind9 shared library used by BIND's daemons and
 clients.

Package: libdns1100
Section: libs
Architecture: any
Multi-Arch: same
Depends: libisc169 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: DNS Shared Library used by BIND
 The Berkeley Internet Name Domain (BIND) implements an Internet domain
 name server.  BIND is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers the libdns shared library used by BIND's daemons and
 clients.

Package: libirs160
Section: libs
Architecture: any
Multi-Arch: same
Depends: libisc169 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: DNS Shared Library used by BIND
 The Berkeley Internet Name Domain (BIND) implements an Internet domain
 name server.  BIND is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers the libirs shared library used by BIND's daemons and
 clients.

Package: libisc169
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ISC Shared Library used by BIND
 The Berkeley Internet Name Domain (BIND) implements an Internet domain
 name server.  BIND is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers the libisc shared library used by BIND's daemons and
 clients.

Package: liblwres160
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Lightweight Resolver Library used by BIND
 The Berkeley Internet Name Domain (BIND) implements an Internet domain
 name server.  BIND is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers the liblwres shared library used by BIND's daemons
 and clients.

Package: libisccc160
Section: libs
Architecture: any
Multi-Arch: same
Depends: libisc169 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Command Channel Library used by BIND
 The Berkeley Internet Name Domain (BIND) implements an Internet domain
 name server.  BIND is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers the libisccc shared library used by BIND's daemons
 and clients, particularly rndc.

Package: libisccfg160
Section: libs
Architecture: any
Multi-Arch: same
Depends: libdns1100 (= ${binary:Version}),
         libisc169 (= ${binary:Version}),
         libisccc160 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Config File Handling Library used by BIND
 The Berkeley Internet Name Domain (BIND) implements an Internet domain
 name server.  BIND is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers the libisccfg shared library used by BIND's daemons
 and clients to read and write ISC-style configuration files like named.conf
 and rndc.conf.

Package: dnsutils
Priority: standard
Architecture: any
Depends: bind9-host | host,
         libbind9-160 (= ${binary:Version}),
         libdns1100 (= ${binary:Version}),
         libisc169 (= ${binary:Version}),
         libisccfg160 (= ${binary:Version}),
         liblwres160 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: rblcheck
Breaks: bind9 (<< 1:9.11.2+dfsg-6~)
Replaces: bind9 (<< 1:9.11.2+dfsg-6)
Description: Clients provided with BIND
 The Berkeley Internet Name Domain (BIND) implements an Internet domain
 name server.  BIND is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers various client programs related to DNS that are
 derived from the BIND source tree.
 .
  - dig - query the DNS in various ways
  - nslookup - the older way to do it
  - nsupdate - perform dynamic updates (See RFC2136)

Package: libbind-export-dev
Section: libdevel
Architecture: any
Conflicts: libbind-dev
Depends: libdns-export1100 (= ${binary:Version}),
         libirs-export160 (= ${binary:Version}),
         libisc-export169 (= ${binary:Version}),
         libisccc-export160 (= ${binary:Version}),
         libisccfg-export160 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the exported BIND libraries
 The Berkeley Internet Name Domain (BIND) implements an Internet domain
 name server.  BIND is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers development files for the exported BIND libraries.

Package: libdns-export1100
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Exported DNS Shared Library
 The Berkeley Internet Name Domain (BIND) implements an Internet domain
 name server.  BIND is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers the exported libdns shared library.

Package: libdns-export1100-udeb
Section: debian-installer
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Package-Type: udeb
Description: Exported DNS library for debian-installer

Package: libirs-export160
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Exported IRS Shared Library
 The Berkeley Internet Name Domain (BIND) implements an Internet domain
 name server.  BIND is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers the exported libirs shared library.

Package: libirs-export160-udeb
Section: debian-installer
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Package-Type: udeb
Description: Exported IRS library for debian-installer

Package: libisc-export169
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Exported ISC Shared Library
 The Berkeley Internet Name Domain (BIND) implements an Internet domain
 name server.  BIND is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers the exported libisc shared library.

Package: libisc-export169-udeb
Section: debian-installer
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Package-Type: udeb
Description: Exported ISC library for debian-installer

Package: libisccc-export160
Section: libs
Architecture: any
Multi-Arch: same
Depends: libisc-export169,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Command Channel Library used by BIND
 The Berkeley Internet Name Domain (BIND) implements an Internet domain
 name server.  BIND is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
