## bind9 9.11.4+dfsg

=== debian/changelog ===
bind9 (1:9.11.4+dfsg-3ubuntu5) cosmic; urgency=high

  * No change rebuild against openssl 1.1.1 with TLS 1.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 29 Sep 2018 01:36:45 +0100

bind9 (1:9.11.4+dfsg-3ubuntu4) cosmic; urgency=medium

  * SECURITY UPDATE: denial of service crash when deny-answer-aliases
    option is used
    - debian/patches/CVE-2018-5740-1.patch: explicit DNAME query could
      trigger a crash if deny-answer-aliases was set
    - debian/patches/CVE-2018-5740-2.patch: add tests
    - debian/patches/CVE-2018-5740-3.patch: caclulate nlabels and set
      chainingp correctly, add test
    - CVE-2018-5740

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 20 Sep 2018 11:11:05 +0200

bind9 (1:9.11.4+dfsg-3ubuntu3) cosmic; urgency=medium

  * Cherrypick from debian: Add new dst__openssleddsa_init optional symbol
    (it depends on OpenSSL version) (Closes: #897643)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 18 Sep 2018 10:39:12 +0200

bind9 (1:9.11.4+dfsg-3ubuntu2) cosmic; urgency=medium

  * d/p/skip-rtld-deepbind-for-dyndb.diff: Add a patch to fix named-pkcs11
    crashing on startup. (LP: #1769440)

 -- Karl Stenerud <karl.stenerud@canonical.com>  Thu, 30 Aug 2018 07:11:39 -0700

bind9 (1:9.11.4+dfsg-3ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Build without lmdb support as that package is in Universe
  * Added:
    - Don't build dnstap as it depends on universe packages:
      + d/control: drop build-depends on libfstrm-dev, libprotobuf-c-dev and
        protobuf-c-compiler (universe packages)
      + d/dnsutils.install: don't install dnstap
      + d/libdns1102.symbols: don't include dnstap symbols
      + d/rules: don't build dnstap
    - d/extras/apparmor.d/usr.sbin.named: add missing comma at the end of the
      line (Closes: #904983)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 30 Jul 2018 10:56:04 -0300

bind9 (1:9.11.4+dfsg-3) unstable; urgency=medium

  * Enable IDN support for dig+host using libidn2 (Closes: #459010)
  * Use root.hints from dns-root-data (Closes: #888491)

 -- Bernhard Schmidt <berni@debian.org>  Sun, 29 Jul 2018 23:26:09 +0200

bind9 (1:9.11.4+dfsg-2) unstable; urgency=medium

  * Enable dnstap support (Courtesy of Richard James Salts) (Closes: #890483)
  * Remove auth-nxdomain no; from named.conf.options (Closes: #896889)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 Jul 2018 18:49:50 +0000

bind9 (1:9.11.4+dfsg-1) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * Use systemd Type=forking to signal daemon init.
    Thanks to Elie Roudninski (Closes: #900788)

  [ Ondřej Surý ]
  * New upstream version 9.11.4+dfsg
  * Rebase patches for 9.11.4+dfsg release
  * Bump libdns SONAME to libdns.so.1102
  * Add a SONAME version check early in a build process
  * Use debian/getapi to dynamically pick soversions for dh_makeshlibs
  * Update the symbols in libdns and libisccfg packages

 -- Ondřej Surý <ondrej@debian.org>  Sat, 14 Jul 2018 12:27:56 +0000

bind9 (1:9.11.3+dfsg-2ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable (LP: #1777935). Remaining changes:
    - Build without lmdb support as that package is in Universe
  * Drop:
    - SECURITY UPDATE: improperly permits recursive query service
      + debian/patches/CVE-2018-5738.patch: fix configure_view_acl() handling
        in bin/named/server.c.
      + CVE-2018-5738
      [Applied in Debian's 1:9.11.3+dfsg-2]

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 20 Jun 2018 17:42:16 -0300

bind9 (1:9.11.3+dfsg-1ubuntu2) cosmic; urgency=medium

  * SECURITY UPDATE: improperly permits recursive query service
    - debian/patches/CVE-2018-5738.patch: fix configure_view_acl() handling
      in bin/named/server.c.
    - CVE-2018-5738

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Jun 2018 09:41:51 -0400
