=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: bind9
 Section: net
 Priority: optional
-Maintainer: BIND 9 Package <bind9@package.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: BIND 9 Package <bind9@package.debian.org>
 Uploaders: LaMont Jones <lamont@debian.org>,
            Michael Gilbert <mgilbert@debian.org>,
            Robie Basak <robie.basak@canonical.com>,
            Ondřej Surý <ondrej@debian.org>,
-           Bernhard Schmidt <berni@debian.org>,
+           Bernhard Schmidt <berni@debian.org>
 Build-Depends: bison,
                debhelper (>= 10),
                dh-apparmor,
@@ -16,16 +17,16 @@
                libcap2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libdb-dev (>>4.6),
                libgeoip-dev (>= 1.4.6.dfsg-5),
+               libidn2-dev,
                libjson-c-dev,
                libkrb5-dev,
                libldap2-dev,
-               liblmdb-dev,
                libssl-dev,
                libtool,
                libxml2-dev,
                python3,
                python3-distutils,
-               python3-ply,
+               python3-ply
 Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/dns-team/bind9
 Vcs-Git: https://salsa.debian.org/dns-team/bind9.git
@@ -36,8 +37,9 @@
 Depends: adduser,
          bind9utils (= ${binary:Version}),
          debconf | debconf-2.0,
+         dns-root-data,
          libbind9-160 (= ${binary:Version}),
-         libdns1100 (= ${binary:Version}),
+         libdns1102 (= ${binary:Version}),
          libisc169 (= ${binary:Version}),
          libisccc160 (= ${binary:Version}),
          libisccfg160 (= ${binary:Version}),
@@ -80,7 +82,7 @@
 Priority: standard
 Architecture: any
 Depends: libbind9-160 (= ${binary:Version}),
-         libdns1100 (= ${binary:Version}),
+         libdns1102 (= ${binary:Version}),
          libisc169 (= ${binary:Version}),
          libisccfg160 (= ${binary:Version}),
          liblwres160 (= ${binary:Version}),
@@ -99,7 +101,7 @@
 Architecture: any
 Replaces: bind9 (<< 1:9.10.3.dfsg.P2-4)
 Depends: libbind9-160 (= ${binary:Version}),
-         libdns1100 (= ${binary:Version}),
+         libdns1102 (= ${binary:Version}),
          libirs160 (= ${binary:Version}),
          libisc169 (= ${binary:Version}),
          libisccc160 (= ${binary:Version}),
@@ -116,7 +118,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: libdns1100 (= ${binary:Version}),
+Depends: libdns1102 (= ${binary:Version}),
          libisc169 (= ${binary:Version}),
          libisccfg160 (= ${binary:Version}),
          ${misc:Depends},
@@ -129,7 +131,7 @@
  This package delivers the libbind9 shared library used by BIND's daemons and
  clients.
 
-Package: libdns1100
+Package: libdns1102
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -206,7 +208,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: libdns1100 (= ${binary:Version}),
+Depends: libdns1102 (= ${binary:Version}),
          libisc169 (= ${binary:Version}),
          libisccc160 (= ${binary:Version}),
          ${misc:Depends},
@@ -225,7 +227,7 @@
 Architecture: any
 Depends: bind9-host | host,
          libbind9-160 (= ${binary:Version}),
-         libdns1100 (= ${binary:Version}),
+         libdns1102 (= ${binary:Version}),
          libisc169 (= ${binary:Version}),
          libisccfg160 (= ${binary:Version}),
          liblwres160 (= ${binary:Version}),
@@ -250,7 +252,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libbind-dev
-Depends: libdns-export1100 (= ${binary:Version}),
+Depends: libdns-export1102 (= ${binary:Version}),
          libirs-export160 (= ${binary:Version}),
          libisc-export169 (= ${binary:Version}),
          libisccc-export160 (= ${binary:Version}),
@@ -263,7 +265,7 @@
  .
  This package delivers development files for the exported BIND libraries.
 
-Package: libdns-export1100
+Package: libdns-export1102
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -276,7 +278,7 @@
  .
  This package delivers the exported libdns shared library.
 
-Package: libdns-export1100-udeb
+Package: libdns-export1102-udeb
 Section: debian-installer
 Architecture: any
 Multi-Arch: same
@@ -339,6 +341,3 @@
          ${shlibs:Depends}
 Description: Command Channel Library used by BIND
  The Berkeley Internet Name Domain (BIND) implements an Internet domain
- name server.  BIND is the most widely-used name server software on the
- Internet, and is supported by the Internet Software Consortium, www.isc.org.
- .
