=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: BIND 9 Package <bind9@package.debian.org>
+XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: LaMont Jones <lamont@debian.org>,
            Michael Gilbert <mgilbert@debian.org>,
            Robie Basak <robie.basak@canonical.com>,
@@ -38,12 +38,12 @@
          bind9utils (= ${binary:Version}),
          debconf | debconf-2.0,
          dns-root-data,
-         libbind9-160 (= ${binary:Version}),
-         libdns1102 (= ${binary:Version}),
-         libisc169 (= ${binary:Version}),
-         libisccc160 (= ${binary:Version}),
-         libisccfg160 (= ${binary:Version}),
-         liblwres160 (= ${binary:Version}),
+         libbind9-161 (= ${binary:Version}),
+         libdns1104 (= ${binary:Version}),
+         libisc1100 (= ${binary:Version}),
+         libisccc161 (= ${binary:Version}),
+         libisccfg163 (= ${binary:Version}),
+         liblwres161 (= ${binary:Version}),
          lsb-base (>= 3.2-14),
          net-tools,
          netbase,
@@ -81,11 +81,11 @@
 Package: bind9-host
 Priority: standard
 Architecture: any
-Depends: libbind9-160 (= ${binary:Version}),
-         libdns1102 (= ${binary:Version}),
-         libisc169 (= ${binary:Version}),
-         libisccfg160 (= ${binary:Version}),
-         liblwres160 (= ${binary:Version}),
+Depends: libbind9-161 (= ${binary:Version}),
+         libdns1104 (= ${binary:Version}),
+         libisc1100 (= ${binary:Version}),
+         libisccfg163 (= ${binary:Version}),
+         liblwres161 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: host
@@ -100,13 +100,13 @@
 Section: libdevel
 Architecture: any
 Replaces: bind9 (<< 1:9.10.3.dfsg.P2-4)
-Depends: libbind9-160 (= ${binary:Version}),
-         libdns1102 (= ${binary:Version}),
-         libirs160 (= ${binary:Version}),
-         libisc169 (= ${binary:Version}),
-         libisccc160 (= ${binary:Version}),
-         libisccfg160 (= ${binary:Version}),
-         liblwres160 (= ${binary:Version}),
+Depends: libbind9-161 (= ${binary:Version}),
+         libdns1104 (= ${binary:Version}),
+         libirs161 (= ${binary:Version}),
+         libisc1100 (= ${binary:Version}),
+         libisccc161 (= ${binary:Version}),
+         libisccfg163 (= ${binary:Version}),
+         liblwres161 (= ${binary:Version}),
          ${misc:Depends}
 Description: Static Libraries and Headers used by BIND
  This package delivers archive-style libraries, header files, and API man
@@ -114,13 +114,13 @@
  if you want to compile other packages that need more nameserver API than the
  resolver code provided in libc.
 
-Package: libbind9-160
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: libdns1102 (= ${binary:Version}),
-         libisc169 (= ${binary:Version}),
-         libisccfg160 (= ${binary:Version}),
+Package: libbind9-161
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: libdns1104 (= ${binary:Version}),
+         libisc1100 (= ${binary:Version}),
+         libisccfg163 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: BIND9 Shared Library used by BIND
@@ -131,11 +131,11 @@
  This package delivers the libbind9 shared library used by BIND's daemons and
  clients.
 
-Package: libdns1102
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: libisc169 (= ${binary:Version}),
+Package: libdns1104
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: libisc1100 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: DNS Shared Library used by BIND
@@ -146,11 +146,11 @@
  This package delivers the libdns shared library used by BIND's daemons and
  clients.
 
-Package: libirs160
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: libisc169 (= ${binary:Version}),
+Package: libirs161
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: libisc1100 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: DNS Shared Library used by BIND
@@ -161,7 +161,7 @@
  This package delivers the libirs shared library used by BIND's daemons and
  clients.
 
-Package: libisc169
+Package: libisc1100
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -175,7 +175,7 @@
  This package delivers the libisc shared library used by BIND's daemons and
  clients.
 
-Package: liblwres160
+Package: liblwres161
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -189,11 +189,11 @@
  This package delivers the liblwres shared library used by BIND's daemons
  and clients.
 
-Package: libisccc160
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: libisc169 (= ${binary:Version}),
+Package: libisccc161
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: libisc1100 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Command Channel Library used by BIND
@@ -204,13 +204,13 @@
  This package delivers the libisccc shared library used by BIND's daemons
  and clients, particularly rndc.
 
-Package: libisccfg160
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: libdns1102 (= ${binary:Version}),
-         libisc169 (= ${binary:Version}),
-         libisccc160 (= ${binary:Version}),
+Package: libisccfg163
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: libdns1104 (= ${binary:Version}),
+         libisc1100 (= ${binary:Version}),
+         libisccc161 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Config File Handling Library used by BIND
@@ -226,11 +226,11 @@
 Priority: standard
 Architecture: any
 Depends: bind9-host | host,
-         libbind9-160 (= ${binary:Version}),
-         libdns1102 (= ${binary:Version}),
-         libisc169 (= ${binary:Version}),
-         libisccfg160 (= ${binary:Version}),
-         liblwres160 (= ${binary:Version}),
+         libbind9-161 (= ${binary:Version}),
+         libdns1104 (= ${binary:Version}),
+         libisc1100 (= ${binary:Version}),
+         libisccfg163 (= ${binary:Version}),
+         liblwres161 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: rblcheck
@@ -252,11 +252,11 @@
 Section: libdevel
 Architecture: any
 Conflicts: libbind-dev
-Depends: libdns-export1102 (= ${binary:Version}),
-         libirs-export160 (= ${binary:Version}),
-         libisc-export169 (= ${binary:Version}),
-         libisccc-export160 (= ${binary:Version}),
-         libisccfg-export160 (= ${binary:Version}),
+Depends: libdns-export1104 (= ${binary:Version}),
+         libirs-export161 (= ${binary:Version}),
+         libisc-export1100 (= ${binary:Version}),
+         libisccc-export161 (= ${binary:Version}),
+         libisccfg-export163 (= ${binary:Version}),
          ${misc:Depends}
 Description: Development files for the exported BIND libraries
  The Berkeley Internet Name Domain (BIND) implements an Internet domain
@@ -265,7 +265,7 @@
  .
  This package delivers development files for the exported BIND libraries.
 
-Package: libdns-export1102
+Package: libdns-export1104
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -278,7 +278,7 @@
  .
  This package delivers the exported libdns shared library.
 
-Package: libdns-export1102-udeb
+Package: libdns-export1104-udeb
 Section: debian-installer
 Architecture: any
 Multi-Arch: same
@@ -287,7 +287,7 @@
 Package-Type: udeb
 Description: Exported DNS library for debian-installer
 
-Package: libirs-export160
+Package: libirs-export161
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -300,7 +300,7 @@
  .
  This package delivers the exported libirs shared library.
 
-Package: libirs-export160-udeb
+Package: libirs-export161-udeb
 Section: debian-installer
 Architecture: any
 Multi-Arch: same
@@ -309,7 +309,7 @@
 Package-Type: udeb
 Description: Exported IRS library for debian-installer
 
-Package: libisc-export169
+Package: libisc-export1100
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -323,7 +323,7 @@
  .
  This package delivers the exported libisc shared library.
 
-Package: libisc-export169-udeb
+Package: libisc-export1100-udeb
 Section: debian-installer
 Architecture: any
 Multi-Arch: same
@@ -332,11 +332,11 @@
 Package-Type: udeb
 Description: Exported ISC library for debian-installer
 
-Package: libisccc-export160
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: libisc-export169,
+Package: libisccc-export161
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: libisc-export1100,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Command Channel Library used by BIND
