=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL := 4
 
 include /usr/share/dpkg/default.mk
+
+DEB_REVISION = $(call dpkg_late_eval,DEB_REVISION,echo '$(DEB_VERSION)' | sed -e 's/^.*-/-/')
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -62,10 +64,18 @@
 	rm -rf lib/isc-pkcs11
 	rm -rf lib/dns-pkcs11
 
-override_dh_autoreconf: prepare_native_pkcs11
+prepare_version:
+	if [ ! -f version.bak ]; then cp version version.bak; fi
+	sed -i 's,^EXTENSIONS=.*$$,EXTENSIONS=$(DEB_REVISION)-$(DEB_VENDOR),' version
+
+clean_version:
+	if [ -f version.bak ]; then cp version.bak version; fi
+
+override_dh_autoreconf: prepare_native_pkcs11 prepare_version
 	dh_autoreconf
 
 override_dh_auto_configure:
+	debian/checkapi
 	dh_auto_configure -B build -- \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--sysconfdir=/etc/bind \
@@ -79,8 +89,9 @@
 		--with-gost=no \
 		--with-openssl=/usr \
 		--with-gssapi=/usr \
+		--with-libidn2 \
 		--with-libjson=/usr \
-		--with-lmdb=/usr \
+		--without-lmdb \
 		--with-gnu-ld \
 		--with-geoip=/usr \
 		--with-atf=no \
@@ -90,6 +101,7 @@
 		--enable-native-pkcs11 \
 		--with-pkcs11=\$${prefix}/lib/softhsm/libsofthsm2.so \
 		--with-randomdev=/dev/urandom \
+		--with-eddsa=no \
 		$(EXTRA_FEATURES)
 	dh_auto_configure -B build-udeb -- \
 		--sysconfdir=/etc/bind \
@@ -108,6 +120,7 @@
 		--enable-shared \
 		--with-libtool \
 		--with-gssapi=no \
+		--with-eddsa=no \
 		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
 		--includedir=/usr/include/bind-export
 	sh debian/apply-export-patch
@@ -119,7 +132,7 @@
 	dh_auto_build -B build
 	dh_auto_build -B build-udeb
 
-override_dh_auto_clean: clean_native_pkcs11
+override_dh_auto_clean: clean_native_pkcs11 clean_version
 	dh_auto_clean -B build
 	dh_auto_clean -B build-udeb
 
@@ -146,12 +159,25 @@
 	dh_systemd_enable -pbind9 --no-enable --name=bind9-pkcs11 bind9-pkcs11.service
 	dh_systemd_enable -pbind9 bind9.service
 
+override_dh_makeshlibs: DNS_SOVER=$(shell debian/getapi dns)
+override_dh_makeshlibs: IRS_SOVER=$(shell debian/getapi irs)
+override_dh_makeshlibs: ISCCC_SOVER=$(shell debian/getapi isccc)
+override_dh_makeshlibs: ISCCFG_SOVER=$(shell debian/getapi isccfg)
+override_dh_makeshlibs: ISC_SOVER=$(shell debian/getapi isc)
 override_dh_makeshlibs:
-	dh_makeshlibs -plibdns-export1100 --add-udeb=libdns-export1100-udeb
-	dh_makeshlibs -plibirs-export160 --add-udeb=libirs-export160-udeb
-	dh_makeshlibs -plibisccc-export160 --add-udeb=libisccc-export160-udeb
-	dh_makeshlibs -plibisccfg-export160 --add-udeb=libisccfg-export160-udeb
-	dh_makeshlibs -plibisc-export169 --add-udeb=libisc-export169-udeb
+	dh_makeshlibs -plibdns-export$(DNS_SOVER) --add-udeb=libdns-export$(DNS_SOVER)-udeb
+	dh_makeshlibs -plibirs-export$(IRS_SOVER) --add-udeb=libirs-export$(IRS_SOVER)-udeb
+	dh_makeshlibs -plibisccc-export$(ISCCC_SOVER) --add-udeb=libisccc-export$(ISCCC_SOVER)-udeb
+	dh_makeshlibs -plibisccfg-export$(ISCCFG_SOVER) --add-udeb=libisccfg-export$(ISCCFG_SOVER)-udeb
+	dh_makeshlibs -plibisc-export$(ISC_SOVER) --add-udeb=libisc-export$(ISC_SOVER)-udeb
 	dh_makeshlibs --remaining-packages
 
+override_dh_shlibdeps:
+	dh_shlibdeps
+	# Downgrade libcrypto1.1-udeb dependency from 1.1.1 to 1.1.0
+	# The udebs don't use any newer symbols, but due to them using
+	# shlibs the dependency is generated anyway. This blocks migration
+	# to testing until OpenSSL 1.1.1 is sorted out
+	sed -i 's:libcrypto1.1-udeb (>= 1.1.1):libcrypto1.1-udeb (>= 1.1.0):' debian/*-udeb.substvars
+
 .PHONY: prepare_native_pkcs11 clean_native_pkcs11
