## bind9 9.11.5.P4%2Bdfsg.5

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: bind9
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
+Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: LaMont Jones <lamont@debian.org>,
            Michael Gilbert <mgilbert@debian.org>,
            Robie Basak <robie.basak@canonical.com>,
@@ -16,14 +15,18 @@
                dpkg-dev (>= 1.16.1~),
                libcap2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libdb-dev (>>4.6),
+               libfstrm-dev,
                libgeoip-dev (>= 1.4.6.dfsg-5),
                libidn2-dev,
                libjson-c-dev,
                libkrb5-dev,
                libldap2-dev,
+               liblmdb-dev,
+               libprotobuf-c-dev,
                libssl-dev,
                libtool,
                libxml2-dev,
+               protobuf-c-compiler,
                python3,
                python3-distutils,
                python3-ply
@@ -340,4 +343,3 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Command Channel Library used by BIND
- The Berkeley Internet Name Domain (BIND) implements an Internet domain
